gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: install packages step


From: gnunet
Subject: [taler-deployment] branch master updated: install packages step
Date: Thu, 02 Mar 2023 12:49:28 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 1f8c91d  install packages step
1f8c91d is described below

commit 1f8c91dc662fd579faffc12b3f95ee3ff592abfa
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Thu Mar 2 12:49:25 2023 +0100

    install packages step
---
 netzbon/config_launch_libeufin.sh  |  3 ++-
 netzbon/global.sh                  | 10 ----------
 netzbon/install_debian_packages.sh | 16 ++++++++++++++++
 netzbon/main.sh                    | 29 +++++++++++++++++++++++++++++
 4 files changed, 47 insertions(+), 11 deletions(-)

diff --git a/netzbon/config_launch_libeufin.sh 
b/netzbon/config_launch_libeufin.sh
index cdb4014..0cca513 100755
--- a/netzbon/config_launch_libeufin.sh
+++ b/netzbon/config_launch_libeufin.sh
@@ -1,5 +1,6 @@
 #!/bin/bash
-
+# This file is in the public domain.
+# 
 # This script configure and launches Sandbox and Nexus.
 # The setup provides the admin account at Sandbox, and
 # another account for the exchange at Nexus and Sandbox.
diff --git a/netzbon/global.sh b/netzbon/global.sh
deleted file mode 100755
index e88aaa4..0000000
--- a/netzbon/global.sh
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/bash
-
-echo Welcome in the Netzbon configure script.
-
-read -p "Enter the Sandbox admin password " SANDBOX_ADMIN_PASSWORD
-read -p "Enter the database connection " DATABASE_CONNECTION
-read -p "Enter the password for the exchange's Nexus user (username: 
exchange-at-nexus) " NEXUS_EXCHANGE_PASSWORD
-read -p "Enter the password for the exchange's Sandbox user (username: 
exchange-at-sandbox) " SANDBOX_EXCHANGE_PASSWORD
-
-. config_launch_libeufin.sh
diff --git a/netzbon/install_debian_packages.sh 
b/netzbon/install_debian_packages.sh
new file mode 100755
index 0000000..4395d56
--- /dev/null
+++ b/netzbon/install_debian_packages.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+# This file is in the public domain.
+
+say "Adding GNU Taler Debian repository"
+cat > /etc/apt/sources.list.d/taler.list <<EOF
+deb [signed-by=/etc/apt/keyrings/taler-systems.gpg] 
https://deb.taler.net/apt/debian stable main
+EOF
+wget -P /etc/apt/keyrings/ \
+  https://taler.net/taler-systems.gpg
+
+say "Installing packages"
+apt update
+PG_VERSION=15
+apt install -y uuid-runtime nginx postgresql-${PG_VERSION} 
postgresql-client-${PG_VERSION} certbot
+apt install -y taler-exchange-httpd taler-merchant-httpd libeufin
+
diff --git a/netzbon/main.sh b/netzbon/main.sh
new file mode 100755
index 0000000..6fbca49
--- /dev/null
+++ b/netzbon/main.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# This file is in the public domain.
+
+set -eu
+
+function say()
+{
+    echo "TALER: " "$@"
+}
+
+echo "TALER: Welcome to the GNU Taler Debian setup!"
+
+if (whoami != root)
+then
+    say "Please run this script as root"
+    exit 1
+fi
+
+. install_debian_packages.sh
+
+read -p "Enter the admin password for the bank " SANDBOX_ADMIN_PASSWORD
+read -p "Enter the name of the currency (e.g. 'EUR') " CURRENCY
+
+NEXUS_EXCHANGE_PASSWORD=`uuidgen`
+SANDBOX_EXCHANGE_PASSWORD=`uuidgen`
+
+#read -p "Enter the database connection " DATABASE_CONNECTION
+
+. config_launch_libeufin.sh

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]